summaryrefslogtreecommitdiff
path: root/bin/taler-deployment-prepare
diff options
context:
space:
mode:
Diffstat (limited to 'bin/taler-deployment-prepare')
-rwxr-xr-xbin/taler-deployment-prepare6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/taler-deployment-prepare b/bin/taler-deployment-prepare
index e654324..d5299e1 100755
--- a/bin/taler-deployment-prepare
+++ b/bin/taler-deployment-prepare
@@ -31,7 +31,13 @@ fi
# somehow running.
function stop_running() {
taler-deployment-stop
+ for n in `jobs -p`
+ do
+ kill $n 2> /dev/null || true
+ done
+ wait
}
+
trap "stop_running" EXIT
function generate_config() {